package com.logicbig.example;

import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.util.concurrent.ThreadLocalRandom;

public class SecureRandomExample {
    public static void main(String[] args) throws NoSuchAlgorithmException {
        //creating a random int
        System.out.println("-- single random int --");
        int i = new SecureRandom().nextInt(100);
        System.out.println(i);
        //creating stream of ints
        System.out.println("-- stream --");
        new SecureRandom()
                .ints(5, 10, 100)
                .forEach(System.out::println);
    }
}